Bug 86950

Summary: Shrink FontDescription object size
Product: WebKit Reporter: Rob Buis <rwlbuis>
Component: WebCore Misc.Assignee: Rob Buis <rwlbuis>
Status: RESOLVED FIXED    
Severity: Normal    
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch ap: review+

Description Rob Buis 2012-05-19 15:59:54 PDT
Through bit packing we can shrink the size of this class. Note that this means Font, StyleInheritedData and RenderSVGInlineText shrink too.
Comment 1 Rob Buis 2012-05-19 16:09:20 PDT
Created attachment 142884 [details]
Patch
Comment 2 Alexey Proskuryakov 2012-05-21 11:51:01 PDT
Comment on attachment 142884 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=142884&action=review

> Source/WebCore/platform/graphics/FontDescription.cpp:-37
> -    void* settings;

This is weird - there is no member names settings, is there?
Comment 3 Rob Buis 2012-05-21 16:53:24 PDT
Hi Alexey,

Thanks for the r+! I'll land later tonight.

(In reply to comment #2)
> (From update of attachment 142884 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=142884&action=review
> 
> > Source/WebCore/platform/graphics/FontDescription.cpp:-37
> > -    void* settings;
> 
> This is weird - there is no member names settings, is there?

Yes, that had me puzzled for a while too. Maybe m_featureSettings was once called settings? After my patch we get rid of exactly this amount of bytes, and it should make SameSizeAsFontDescription actually accurate this time.
Comment 4 Rob Buis 2012-05-22 07:45:22 PDT
Committed r117971: <http://trac.webkit.org/changeset/117971>